v_frmbuf_wr: XV_FrmbufWr_l2 Struct Reference

| v_frmbuf_wr Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_FrmbufWr_l2 Struct Reference

Frame Buffer Write driver Layer 2 data. More...

## Data Fields
XV_frmbufwr | FrmbufWr
| Frame Buffer Write instance data. More...
XVFrmbufWr_Callback | FrameDoneCallback
| Callback for frame processing done. More...
void * | CallbackDoneRef
| To be passed to the connect interrupt callback. More...
XVFrmbufWr_Callback | FrameReadyCallback
| Callback for frame processing ready. More...
void * | CallbackReadyRef
    To be passed to the connect interrupt
callback More...
XVidC_VideoStream | Stream
| Input AXIS. More...

## Detailed Description

Frame Buffer Write driver Layer 2 data.

The user is required to allocate a variable of this type for every frame buffer write device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

void* XV_FrmbufWr_l2::CallbackDoneRef

To be passed to the connect interrupt callback.

Referenced by XVFrmbufWr_InterruptHandler(), and XVFrmbufWr_SetCallback().

void* XV_FrmbufWr_l2::CallbackReadyRef

    To be passed to the connect interrupt

callback

Referenced by XVFrmbufWr_InterruptHandler(), and XVFrmbufWr_SetCallback().

XVFrmbufWr_Callback XV_FrmbufWr_l2::FrameDoneCallback

Callback for frame processing done.

Referenced by XVFrmbufWr_InterruptHandler(), and XVFrmbufWr_SetCallback().

XVFrmbufWr_Callback XV_FrmbufWr_l2::FrameReadyCallback

Callback for frame processing ready.

Referenced by XVFrmbufWr_InterruptHandler(), and XVFrmbufWr_SetCallback().

XV_frmbufwr XV_FrmbufWr_l2::FrmbufWr

Frame Buffer Write instance data.

Referenced by XVFrmbufWr_DbgReportStatus(), XVFrmbufWr_GetBufferAddr(), XVFrmbufWr_GetChromaBufferAddr(), XVFrmbufWr_GetFieldID(), XVFrmbufWr_Initialize(), XVFrmbufWr_InterruptDisable(), XVFrmbufWr_InterruptEnable(), XVFrmbufWr_InterruptHandler(), XVFrmbufWr_SetBufferAddr(), XVFrmbufWr_SetChromaBufferAddr(), XVFrmbufWr_SetMemFormat(), XVFrmbufWr_Start(), XVFrmbufWr_Stop(), and XVFrmbufWr_WaitForIdle().

XVidC_VideoStream XV_FrmbufWr_l2::Stream

Input AXIS.

Referenced by XVFrmbufWr_GetVideoStream(), and XVFrmbufWr_SetMemFormat().